summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authoralec <alec@208e9e7b-5314-0410-a742-e7e81cd9613c>2008-10-07 13:52:39 +0000
committeralec <alec@208e9e7b-5314-0410-a742-e7e81cd9613c>2008-10-07 13:52:39 +0000
commit4843b2d3f7162b19d7e16117f25dc175bc67dc9e (patch)
treee7f668eb5b2752b7e148d1032b3b3cfa75f2c43d
parent5f53a86ec3030ed83fdf07e542bbecf357321455 (diff)
#1485456: small improvements in scripts
git-svn-id: https://svn.roundcube.net/trunk@1952 208e9e7b-5314-0410-a742-e7e81cd9613c
-rw-r--r--roundcubemail/bin/dumpschema.php2
-rwxr-xr-xroundcubemail/bin/makedoc.sh17
2 files changed, 15 insertions, 4 deletions
diff --git a/roundcubemail/bin/dumpschema.php b/roundcubemail/bin/dumpschema.php
index 683e2719e..53c688c3d 100644
--- a/roundcubemail/bin/dumpschema.php
+++ b/roundcubemail/bin/dumpschema.php
@@ -1,6 +1,6 @@
<?php
-define('INSTALL_PATH', realpath('./../') . '/');
+define('INSTALL_PATH', realpath(dirname(__FILE__) . '/..') . '/' );
require INSTALL_PATH.'program/include/iniset.php';
/** callback function for schema dump **/
diff --git a/roundcubemail/bin/makedoc.sh b/roundcubemail/bin/makedoc.sh
index 5925d0a3f..02bc7a216 100755
--- a/roundcubemail/bin/makedoc.sh
+++ b/roundcubemail/bin/makedoc.sh
@@ -3,9 +3,20 @@
TITLE="RoundCube Classes"
PACKAGES="Core"
-PATH_PROJECT=$PWD/program/include
-PATH_DOCS=$PWD/doc/phpdoc
-PATH_PHPDOC=/usr/local/php5/bin/phpdoc
+INSTALL_PATH="`dirname $0`/.."
+PATH_PROJECT=$INSTALL_PATH/program/include
+PATH_DOCS=$INSTALL_PATH/doc/phpdoc
+
+if [ -x /usr/local/php5/bin/phpdoc ]
+then
+ PATH_PHPDOC=/usr/local/php5/bin/phpdoc
+elif [ -x /usr/bin/phpdoc ]
+then
+ PATH_PHPDOC=/usr/bin/phpdoc
+else
+ echo "phpdoc not found"
+ exit 1
+fi
OUTPUTFORMAT=HTML
CONVERTER=frames